clear all,clc, close all

path(pathdef);

addpath('Output_fullVib/HeN2O2')
load neededParameterForBenchmarking.mat

species_num = 28;
y_axis_order = 2e21;

load Output_fullVib/HeN2O2plug/chamber_position.mat
load Output_fullVib/HeN2O2plug/chamber_speciesDensities.mat

Simulation_length_fullVib = chamber_position;
Simulation_n_NO_fullVib = n_density(:,species_num);

load Output_fullVib_test/HeN2O2plug/chamber_position.mat
load Output_fullVib_test/HeN2O2plug/chamber_speciesDensities.mat

Simulation_length_fullVib_test = chamber_position;
Simulation_n_NO_fullVib_test = n_density(:,species_num);

load Output_fullVib_test_NwallNO/HeN2O2plug/chamber_position.mat
load Output_fullVib_test_NwallNO/HeN2O2plug/chamber_speciesDensities.mat

Simulation_length_fullVib_test_NwallNO = chamber_position;
Simulation_n_NO_fullVib_test_NwallNO = n_density(:,species_num);

load Output_fullVib_7e15/HeN2O2plug/chamber_position.mat
load Output_fullVib_7e15/HeN2O2plug/chamber_speciesDensities.mat

Simulation_length_fullVib_7e15 = chamber_position;
Simulation_n_NO_fullVib_7e15 = n_density(:,species_num);



figure(2)

scale = 1e21;

load Output_fullVib_7e15_N2AB/HeN2O2plug/chamber_position.mat
load Output_fullVib_7e15_N2AB/HeN2O2plug/chamber_speciesDensities.mat

Simulation_length_fullVib_7e15_N2AB = chamber_position;
Simulation_n_NO_fullVib_7e15_N2AB = n_density(:,species_num);

h1=plot(Simulation_length_fullVib*1e3,Simulation_n_NO_fullVib./scale,'-','Color','k','LineWidth',3);
hold on 
h1=plot(Simulation_length_fullVib_test*1e3,Simulation_n_NO_fullVib_test./scale,'--','Color',[0 0.5 0],'LineWidth',3);
hold on
h1=plot(Simulation_length_fullVib_test_NwallNO*1e3,Simulation_n_NO_fullVib_test_NwallNO./scale,'-.','Color','b','LineWidth',3);
hold on 
h1=plot(Simulation_length_fullVib_7e15*1e3,Simulation_n_NO_fullVib_7e15./scale,':','Color','r','LineWidth',3);
hold on 
a=1:floor(length(Simulation_length_fullVib_7e15_N2AB)/15):length(Simulation_length_fullVib_7e15_N2AB);
h1=plot(Simulation_length_fullVib_7e15_N2AB(a)*1e3,Simulation_n_NO_fullVib_7e15_N2AB(a)./scale,':*','Color','r','MarkerSize',11,'LineWidth',2);

% gray region
% Add lines
h2 = line([30 30],[0 1*y_axis_order./scale]);
% Set properties of lines
set([h2],'Color','k','LineWidth',2,'LineStyle',':')
x1 = 30;
x2 = 45;
fx = [30 45 45 30 30];
Ys = ylim;
fy = [Ys(1) Ys(1) Ys(2) Ys(2) Ys(1)];
fill( fx,fy, [0 0 0], 'FaceAlpha', 0.15,'LineStyle','none');
hold off

% set(h1, 'markerfacecolor', get(h1, 'color'));
xlim([0 45])
xticks(0:5:45)
xlabel('Length (mm)')
ylim([0 1*y_axis_order./scale])
ylabel([species{1}{species_num}, ' density (10^{21} m^{-3})'])

ax1 = gca;    % current axes
set(ax1,'FontSize',15)
ax1_pos = ax1.Position;   % position of first axes
% lgd1 = legend(ax1,{'Sim.(0-D)','Sim.(Pseudo 1-D)'});    %,'Location','northwest')
lgd1.FontSize = 15;

text(10,0.8*y_axis_order./scale,'Plasma Jet','Color','m','FontSize',16)
text(30,0.8*y_axis_order./scale,'Effluent','Color','m','FontSize',16)

text(5,0.6*y_axis_order./scale,'2.2 W','Color','k','FontSize',18)

text(0.90,0.95,'(c)','Units','normalized','Color','k','FontSize',15)

set(gcf,'position',[100,100,600,450])

% saveas(figure(2),'/home/he/Pictures/paper/7c_Pre20_nNO.jpg');
% saveas(figure(2),'/home/he/Pictures/paper/7c_Pre20_nNO.png');
% saveas(figure(2),'/home/he/Pictures/paper/7c_Pre20_nNO.eps', 'epsc');
% saveas(figure(2),'/home/he/Pictures/paper/7c_Pre20_nNO.pdf');

